﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Client Event Example（客户端事件实例）</title>
    <style type="text/css">
     #OuterPanel { width: 600px; border: 2px solid blue; }
     #NestedPanel { width: 596px; height: 60px; border: 2px solid green; 
                   margin-left:5 px; margin-right:5px; margin-bottom:5px;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            <Scripts>
                <%--添加客户端脚本引用--%>
                <asp:ScriptReference Path="ClientEventTest.js" />
            </Scripts>
        </asp:ScriptManager>
        <div>
            <asp:UpdatePanel ID="OuterPanel" UpdateMode="Conditional" runat="server">
                <ContentTemplate>
                    Postbacks from inside the outer panel and inner panel are asynchronous postbacks.
                    PRM = Sys.WebForms.PageRequestManager. APP = Sys.Application.
                    <br />
                    （从父容器和子容器的回送都是异步回送。在一个UpdatePanel中内嵌了一个UpdatePanel。）
                    <br />
                    <br />
                    <asp:Button ID="OPButton1" Text="Outer Panel Button（父容器按钮）" runat="server" />
                    Last updated on
                    <%= DateTime.Now.ToString() %>
                    <br />
                    <br />
                    <asp:UpdatePanel ID="NestedPanel" UpdateMode="Conditional" runat="server">
                        <ContentTemplate>
                            <asp:Button ID="NPButton1" Text="Nested Panel 1 Button（子容器按钮）" runat="server" />
                            Last updated on
                            <%= DateTime.Now.ToString() %>
                            <br />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    
                    <asp:UpdatePanel ID="TestUpdatePanel" UpdateMode="Conditional" runat="server">
                        <ContentTemplate>
                            Last updated on【又一嵌套的UpdatePanel】
                            <%= DateTime.Now.ToString() %>
                            <br />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <input type="button" onclick="Clear();" value="Clear" />
            <asp:Button ID="FullPostBack" runat="server" Text="Full Postback（传统提交）" />
            <a href="http://valens.cnblogs.com">Test Window Unload（测试Window的卸载事件）</a>
            <br />
            <span id="ClientEvents"></span>
        </div>
    </form>
</body>
</html>